Bug 1282057 - Python3 Upstream Support
Summary: Python3 Upstream Support
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xapian-bindings   
(Show other bugs)
Version: 24
Hardware: All Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2015-11-14 17:26 UTC by Dennis Chen
Modified: 2016-12-22 06:01 UTC (History)
4 users (show)

Fixed In Version: xapian-bindings-1.4.1-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-22 06:01:52 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dennis Chen 2015-11-14 17:26:08 UTC
Description of problem:
Python3 has been marked in upstream as stable and should be included in the xapian-bindings package.

Version-Release number of selected component (if applicable):
Latest

Additional info:

Support can be added by
  %build
  export RUBY_LIB=%{ruby_vendorlibdir}
  export RUBY_LIB_ARCH=%{ruby_vendorarchdir}
- %configure --with-python --with-ruby --with-tcl
+ %configure --with-python --with-python3 --with-ruby --with-tcl
  make %{?_smp_mflags} V=1
And appropriate changes in the files portions.

Comment 1 Peter Robinson 2015-11-15 12:17:07 UTC
According to the upstream changelogs this is in the 1.3 dev releases:

* README: Add note that 1.3.2 has Python 3 support, and that this will be in
  stable release 1.4.0.

1.3 has been in development for a long time, I only want to move to it when I know it's going to be stable. I also need to test it to ensure no regressions in apps that use it, we had issues when we moved from 1.0 to 1.2

Comment 2 Jan Kurik 2016-02-24 15:37:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Peter Robinson 2016-07-05 19:41:16 UTC
I see stable 1.4.0 release is now out, will be investigating updating this soon. Need to ensure the API/ABI is compatible with 1.2.x and if not what the impact is so any details here would be useful.


Note You need to log in before you can comment on or make changes to this bug.